Bug 1418681 - [DOCS] documentation related to the F5 plugin is out of date
Summary: [DOCS] documentation related to the F5 plugin is out of date
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: brice
QA Contact: zhaozhanqi
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 14:05 UTC by Alexander Koksharov
Modified: 2020-04-15 15:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 00:22:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alexander Koksharov 2017-02-02 14:05:45 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.4/install_config/router/f5_router.html

Section Number and Name: 

Describe the issue: 
The way I see it the documentation related to the F5 plugin is out of date, and needs some changes.

Suggestions for improvement: 

1- There are requirements implied like they were obvious, can we get a list of requirements of the F5?
IE:
- A F5 account that can perform the following operations ...
- A virtual server for the HTTP requests which is configured this way ...
- A virtual server for the HTTPS requests that is configured this way ...
- SSH access with this user for this operation ...
- A service account ...

2- Can we also document the F5 plugin without RAMP nodes and how to use it?

Additional information:

Comment 1 brice 2017-02-09 05:52:17 UTC
PR created for this BZ after talking to the routing folks in engineering:

https://github.com/openshift/openshift-docs/pull/3700

Alexander, I think it fulfills what you're asking for, but please let me know if you have thoughts.

Comment 2 openshift-github-bot 2017-02-14 01:32:23 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/eec6be43707e183db9aba05e8378fa4caeb43490
Merge pull request #3700 from bfallonf/f5_1418681

Bug 1418681 Arranged f5 router section


Note You need to log in before you can comment on or make changes to this bug.